petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMGetDMSNESWrite

get write access to private DMSNES context from a DM

### Synopsis

    #include "petscsnes.h"
    #include "petscdm.h"
    PetscErrorCode DMGetDMSNESWrite(DM dm,DMSNES *snesdm)

Not Collective

### Input Argument

dm -DM to be used with SNES

### Output Argument

snesdm -private DMSNES context

### See Also

DMGetDMSNES()

Level:developer
Location:src/snes/utils/dmsnes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages